Archive/close a project via API
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Hi!

It would be great to archive or close a project via the API

Related issues:

Related to Redmine - Patch #4975: Add feature to automatically archive old pr... Closed 2010-03-03

Related to Redmine - Feature #35420: API to archive/unarchive projects Closed

Related to Redmine - Feature #35507: API to close/reopen projects Closed

Has duplicate Redmine - Feature #31377: Updating project status, or archiving... Closed

History

#1 - 2017-10-30 06:51 - Eva Encabo

It's very important also for us.

+1

#2 - 2018-09-14 10:35 - Go MAEDA

- Related to Patch #4975: Add feature to automatically archive old projects added

#3 - 2018-11-13 11:27 - Christoph Graf

Would be very helpful for us too

#4 - 2020-06-14 15:51 - Go MAEDA

- Has duplicate Feature #31377: Updating project status, or archiving with REST added

#5 - 2021-06-16 16:01 - Go MAEDA

- Related to Feature #35420: API to archive/unarchive projects added

#6 - 2021-07-02 01:40 - Go MAEDA

Fabrice Brito wrote:

It would be great to archive or close a project via the API

 API to archive/unarchive projects has been implemented for Redmine 5.0.0 (#35420). However, the current trunk still don't have API to close/reopen

projects.

#7 - 2021-07-02 03:17 - Go MAEDA

- Related to Feature #35507: API to close/reopen projects added

#8 - 2021-07-09 04:45 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Redmine 5.0.0 will allow you to archive, unarchive, close, reopen projects via REST API (#35420, #35507).
